# $Revision: 1.23 $, $Date: 2010/06/06 08:30:26 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Audio
%define		pnam	CD
Summary:	Perl interface to libcdaudio
Summary(pl.UTF-8):	Interfejs Perla do libcdaudio
Name:		perl-Audio-CD
Version:	0.04
Release:	8
Epoch:		1
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# newer version distribution is restricted
#Source0:	http://homepages.cwi.nl/~jvhemert/files/Audio-CD-0.05.tar.gz
# Source0-md5:	5b3051fd01a36c557a54e83ac0bde567
BuildRequires:	libcdaudio-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perl interface to libcdaudio.

%description -l pl.UTF-8
Interfejs Perla do libcdaudio.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorarch}/Audio/CD.pm
%dir %{perl_vendorarch}/auto/Audio/CD
%{perl_vendorarch}/auto/Audio/CD/CD.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Audio/CD/CD.so

%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Audio-CD.spec,v $
Revision 1.23  2010/06/06 08:30:26  arekm
- release 8

Revision 1.22  2008/02/10 11:59:22  arekm
- rel 7

Revision 1.21  2008-01-10 08:38:34  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.20  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:49:22  baggins
- converted to UTF-8

Revision 1.18  2004/11/03 20:27:39  paladine
- formatting

Revision 1.17  2004/05/07 00:39:41  ankry
- rel. 6

Revision 1.16  2004/05/06 18:43:03  ankry
- fixed perl-devel BR

Revision 1.15  2004/04/25 21:21:05  ankry
- cosmetics: unification

Revision 1.14  2004/04/17 05:49:21  ankry
- back to 0.04, epoch: 1

Revision 1.13  2004/04/17 05:46:24  ankry
- license fixes

Revision 1.12  2004/04/16 16:47:06  ankry
- this version is not distributable

Revision 1.11  2004/04/14 11:21:49  ankry
- caps and other cosmetics

Revision 1.10  2003/11/09 18:09:10  wolf
- 0.05

Revision 1.9  2003/08/18 08:08:27  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:21  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/03/01 17:42:19  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:35:49  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:26:16  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/08/04 15:50:06  qboosh
- sitearch/Audio and sitearch/auto/Audio dirs moved to perl
- release 2

Revision 1.2  2002/07/23 14:39:55  qboosh
- adapterized, added OPTIMIZE and CPAN-specific macros
